Subqueries (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class Subqueries

    java.lang.Object
      org.hibernate.criterion.Subqueries

    public class Subqueries

extends Object

Factory class for criterion instances that represent expressions involving subqueries.

See Also:
  `Restrictions`, `Projection`, `Criteria`

Constructor Summary
`Subqueries()`

Method Summary
`static Criterion` | `eq(Object value, DetachedCriteria dc)`
`static Criterion` | `eqAll(Object value, DetachedCriteria dc)`
`static Criterion` | `exists(DetachedCriteria dc)`
`static Criterion` | `ge(Object value, DetachedCriteria dc)`
`static Criterion` | `geAll(Object value, DetachedCriteria dc)`
`static Criterion` | `geSome(Object value, DetachedCriteria dc)`
`static Criterion` | `gt(Object value, DetachedCriteria dc)`
`static Criterion` | `gtAll(Object value, DetachedCriteria dc)`
`static Criterion` | `gtSome(Object value, DetachedCriteria dc)`
`static Criterion` | `in(Object value, DetachedCriteria dc)`
`static Criterion` | `le(Object value, DetachedCriteria dc)`
`static Criterion` | `leAll(Object value, DetachedCriteria dc)`
`static Criterion` | `leSome(Object value, DetachedCriteria dc)`
`static Criterion` | `lt(Object value, DetachedCriteria dc)`
`static Criterion` | `ltAll(Object value, DetachedCriteria dc)`
`static Criterion` | `ltSome(Object value, DetachedCriteria dc)`
`static Criterion` | `ne(Object value, DetachedCriteria dc)`
`static Criterion` | `notExists(DetachedCriteria dc)`
`static Criterion` | `notIn(Object value, DetachedCriteria dc)`
`static Criterion` | `propertiesEq(String[] propertyNames, DetachedCriteria dc)`
`static Criterion` | `propertiesIn(String[] propertyNames, DetachedCriteria dc)`
`static Criterion` | `propertiesNotEq(String[] propertyNames, DetachedCriteria dc)`
`static Criterion` | `propertiesNotIn(String[] propertyNames, DetachedCriteria dc)`
`static Criterion` | `propertyEq(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyEqAll(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyGe(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyGeAll(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyGeSome(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyGt(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyGtAll(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyGtSome(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyIn(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyLe(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyLeAll(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyLeSome(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyLt(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyLtAll(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyLtSome(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyNe(String propertyName, DetachedCriteria dc)`
`static Criterion` | `propertyNotIn(String propertyName, DetachedCriteria dc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subqueries

    public Subqueries()

Method Detail

### exists

    public static Criterion exists(DetachedCriteria dc)

### notExists

    public static Criterion notExists(DetachedCriteria dc)

### propertyEqAll

    public static Criterion propertyEqAll(String propertyName,
                                          DetachedCriteria dc)

### propertyIn

    public static Criterion propertyIn(String propertyName,
                                       DetachedCriteria dc)

### propertyNotIn

    public static Criterion propertyNotIn(String propertyName,
                                          DetachedCriteria dc)

### propertyEq

    public static Criterion propertyEq(String propertyName,
                                       DetachedCriteria dc)

### propertiesEq

    public static Criterion propertiesEq(String[] propertyNames,
                                         DetachedCriteria dc)

### propertiesNotEq

    public static Criterion propertiesNotEq(String[] propertyNames,
                                            DetachedCriteria dc)

### propertiesIn

    public static Criterion propertiesIn(String[] propertyNames,
                                         DetachedCriteria dc)

### propertiesNotIn

    public static Criterion propertiesNotIn(String[] propertyNames,
                                            DetachedCriteria dc)

### propertyNe

    public static Criterion propertyNe(String propertyName,
                                       DetachedCriteria dc)

### propertyGt

    public static Criterion propertyGt(String propertyName,
                                       DetachedCriteria dc)

### propertyLt

    public static Criterion propertyLt(String propertyName,
                                       DetachedCriteria dc)

### propertyGe

    public static Criterion propertyGe(String propertyName,
                                       DetachedCriteria dc)

### propertyLe

    public static Criterion propertyLe(String propertyName,
                                       DetachedCriteria dc)

### propertyGtAll

    public static Criterion propertyGtAll(String propertyName,
                                          DetachedCriteria dc)

### propertyLtAll

    public static Criterion propertyLtAll(String propertyName,
                                          DetachedCriteria dc)

### propertyGeAll

    public static Criterion propertyGeAll(String propertyName,
                                          DetachedCriteria dc)

### propertyLeAll

    public static Criterion propertyLeAll(String propertyName,
                                          DetachedCriteria dc)

### propertyGtSome

    public static Criterion propertyGtSome(String propertyName,
                                           DetachedCriteria dc)

### propertyLtSome

    public static Criterion propertyLtSome(String propertyName,
                                           DetachedCriteria dc)

### propertyGeSome

    public static Criterion propertyGeSome(String propertyName,
                                           DetachedCriteria dc)

### propertyLeSome

    public static Criterion propertyLeSome(String propertyName,
                                           DetachedCriteria dc)

### eqAll

    public static Criterion eqAll(Object value,
                                  DetachedCriteria dc)

### in

    public static Criterion in(Object value,
                               DetachedCriteria dc)

### notIn

    public static Criterion notIn(Object value,
                                  DetachedCriteria dc)

### eq

    public static Criterion eq(Object value,
                               DetachedCriteria dc)

### gt

    public static Criterion gt(Object value,
                               DetachedCriteria dc)

### lt

    public static Criterion lt(Object value,
                               DetachedCriteria dc)

### ge

    public static Criterion ge(Object value,
                               DetachedCriteria dc)

### le

    public static Criterion le(Object value,
                               DetachedCriteria dc)

### ne

    public static Criterion ne(Object value,
                               DetachedCriteria dc)

### gtAll

    public static Criterion gtAll(Object value,
                                  DetachedCriteria dc)

### ltAll

    public static Criterion ltAll(Object value,
                                  DetachedCriteria dc)

### geAll

    public static Criterion geAll(Object value,
                                  DetachedCriteria dc)

### leAll

    public static Criterion leAll(Object value,
                                  DetachedCriteria dc)

### gtSome

    public static Criterion gtSome(Object value,
                                   DetachedCriteria dc)

### ltSome

    public static Criterion ltSome(Object value,
                                   DetachedCriteria dc)

### geSome

    public static Criterion geSome(Object value,
                                   DetachedCriteria dc)

### leSome

    public static Criterion leSome(Object value,
                                   DetachedCriteria dc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.